<?php

/**
 * Plugin de mensagens de saldo
 *
 * PHP versions 5+
 *
 * @author	 	  Fabricio S Costa
 * @link          https://fabriciojf@gmail.com 
 * @version		  1.0
 * 
 * O outro componente que seu componente utiliza
 * public $components = array('Outro');
 */
class KTelecom {
	
	 protected static $_confs = array(
	 			'url' => '',
	 		);
	
	 protected static $_returns = array(
				'12' => '12 CTBC',
				'14' => '14 Brasil Telecom',
				'20' => '20 Vivo',
				'21' => '21 Claro',
				'23' => '23 Telemig',
				'24' => '24 Amazon',
				'31' => '31 Oi',
				'37' => '37 Unicel',
				'41' => '41 Tim',
				'43' => '43 Sercom',
				'77' => '77 E_Nextel',
				'78' => '78 Nextel',
				'81' => '81 Datora',
				'82' => '82 Porto',
				'98' => '98 Fixo',
				'99' => '99 Desconhecido',
			);
	
	/**
	 * Retorna valores do array de itens de retorno
	 * @param unknown $parameter
	 */
	public static function _return($parameter) {
		if (!empty(self::$_returns[$parameter])) {
			return self::$_returns[$parameter];
		}
		return null;
	}
	
	/**
	 * Retorna valores do array de configuracoes
	 * @param unknown $parameter
	 */
	public static function conf($parameter) {
		if (!empty(self::$_confs[$parameter])) {
			return self::$_confs[$parameter];
		}
		return null;
	}
	
}